Name:           perl-Net-IP
Version:        1.26
Release:        1
Summary:        Perl module for manipulation of IPv4 and IPv6 addresses
License:        MIT and GPL+
URL:            https://metacpan.org/release/Net-IP
Source:         https://cpan.metacpan.org/modules/by-module/Net/Net-IP-%{version}.tar.gz
Patch0:         0001-fix-perl-shbang.patch
BuildArch:      noarch
BuildRequires:  coreutils findutils make perl-generators perl-interpreter perl(Config) perl(ExtUtils::MakeMaker) 
BuildRequires:	perl(Math::BigInt) perl(overload) perl(strict) perl(vars) perl(Getopt::Std) perl(File::Basename)
BuildRequires:	perl(Exporter) perl(FileHandle) perl(lib)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is the Net::IP module, designed to allow easy manipulation of IPv4 and
IPv6 addresses.

Two applications using the Net::IP module are included: ipcount, an IP address
mini-calculator, which can calculate the number of IP addresses in a prefix or
all the prefixes contained in a given range; and iptab, which prints out a
handy IP "cheat sheet".

%prep
%autosetup -p1 -n Net-IP-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
PERL5LIB=%{buildroot}%{perl_vendorlib} ./iptab

%files
%license COPYING
%doc Changes README
%{_bindir}/ipcount
%{_bindir}/iptab
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::IP.3*

%changelog
* Mon Jan 24 2022 baizhonggui <baizhonggui@huawei.com> - 1.26-1
- Package init
